settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

onEvent('recipes', event => {
event.remove({output: 'extendedcrafting:ender_ingot'})
event.remove({output: 'endercrop:ender_seeds'})

//Alloys
event.recipes.immersiveengineeringAlloy('2x enderioalloys:item_alloy_ingot_redstone_alloy', 'refinedstorage:silicon', 'minecraft:redstone')
event.recipes.immersiveengineeringAlloy('enderioalloys:item_material_glazed_nether_brick', 'minecraft:nether_brick', 'minecraft:blaze_powder')

event.shapeless('2x kubejs:pyro_dust', ['minecraft:blaze_powder', 'enderioalloys:item_alloy_nugget_redstone_alloy', 'immersiveengineering:dust_sulfur'])
event.shapeless('9x enderioalloys:item_alloy_ingot_crystalline_alloy', ['enderioalloys:block_alloy_crystalline_alloy'])

event.shaped('enderioalloys:item_material_vibrant_crystal', [
    'SHS',
    'CIC',
    'SHS'
  ], {
    C: 'powah:dielectric_rod',
    I: 'enderioalloys:item_alloy_ingot_vibrant_alloy',
    H: 'powah:dielectric_rod_horizontal',
    S: 'minecraft:emerald'

  })

  event.shaped('enderioalloys:item_material_ender_crystal', [
    'SHS',
    'CIC',
    'SHS'
  ], {
    C: 'powah:dielectric_rod',
    I: 'extendedcrafting:enhanced_ender_ingot',
    H: 'powah:dielectric_rod_horizontal',
    S: 'minecraft:ender_eye'

  })

  event.shaped('enderioalloys:block_alloy_crystalline_alloy', [
    'III',
    'III',
    'III'
  ], {
    I: 'enderioalloys:item_alloy_ingot_crystalline_alloy'
  })
})